Xerces-J API: Class SAXNotRecognizedException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xml.sax
Class SAXNotRecognizedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--org.xml.sax.SAXNotRecognizedException

public class SAXNotRecognizedException
extends SAXException

Exception class for an unrecognized identifier.

> This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY.

An XMLReader will throw this exception when it finds an unrecognized feature or property identifier; SAX applications and extensions may use this class for other, similar purposes.

Since:
  SAX 2.0
Version:
  2.0
Author:
  David Megginson, sax@megginson.com
See Also:
  `SAXNotSupportedException`, Serialized Form

Constructor Summary
`SAXNotRecognizedException(java.lang.String message)` Construct a new exception with the given message.

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXNotRecognizedException

    public SAXNotRecognizedException(java.lang.String message)

  Construct a new exception with the given message.
  Parameters:
    `message` - The text message of the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.